Bug 1339355 - [help+man] pcs cluster {start,stop,enable,disable}: there is either "--all" or a list of nodes
Summary: [help+man] pcs cluster {start,stop,enable,disable}: there is either "--all" o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 19:02 UTC by Jan Pokorný [poki]
Modified: 2017-08-01 18:22 UTC (History)
7 users (show)

Fixed In Version: pcs-0.9.156-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: User specifies both the --all flag and a list of nodes when running "pcs cluster start", "pcs cluster stop", "pcs cluster enable" or "pcs cluster disable". Consequence: Pcs ignores the node list and uses the --all flag. Fix: Check if both a list of nodes and the --all flag are specified. Result: Pcs exits with an error explaining only one of the --all flag and a list of nodes can be specified.
Clone Of:
Environment:
Last Closed: 2017-08-01 18:22:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix and test (11.22 KB, patch)
2017-01-23 15:37 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC
Red Hat Bugzilla 1225946 None None None Never

Internal Links: 1225946

Description Jan Pokorný [poki] 2016-05-24 19:02:21 UTC
Looking merely at the provided syntax, it's not apparent there
is an internal mutual exclusion of "--all" and a list of nodes
(not reading further explanation, one might think that "--all"
is just a command modifier, i.e., do the start/stop in a coordinated
manner between the nodes being started/stopped, while this is true
modulo all known nodes are involved).

What about:

> start [[--all] | [node] [...]] [--wait[=<n>]]

plus perhaps a check that nodes are not being passed when --all is
present?

Comment 3 Tomas Jelinek 2017-01-23 15:37:53 UTC
Created attachment 1243635 [details]
proposed fix and test

Comment 5 Ivan Devat 2017-02-20 07:52:38 UTC
After Fix:

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.156-1.el7.x86_64

[vm-rhel72-1 ~] $ pcs cluster stop vm-rhel72-1 vm-rhel72-3 --all
Error: Cannot specify both --all and a list of nodes.

Comment 8 errata-xmlrpc 2017-08-01 18:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.